org.springframework.core.style

## Class DefaultValueStyler

- java.lang.Object
- - org.springframework.core.style.DefaultValueStyler

- All Implemented Interfaces:
    ValueStyler

      public class DefaultValueStyler
      extends Object
      implements ValueStyler

  Converts objects to String form, generally for debugging purposes, using Spring's `toString` styling conventions.

  Uses the reflective visitor pattern underneath the hood to nicely encapsulate styling algorithms for each type of styled object.

  Since:
    1.2.2
  Author:
    Keith Donald, Juergen Hoeller

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultValueStyler()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `style(Object value)` Style the given value, returning a String representation.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultValueStyler

          public DefaultValueStyler()

  - ### Method Detail

    - #### style

          public String style(Object value)

      Description copied from interface: `ValueStyler`
      Style the given value, returning a String representation.
      Specified by:
        `style` in interface `ValueStyler`
      Parameters:
        `value` - the Object value to style
      Returns:
        the styled String